lp:ubuntu/oneiric/nvidia-graphics-drivers-173

Created by James Westby on 2011-04-28 and last modified on 2011-10-10
Get this branch:
bzr branch lp:ubuntu/oneiric/nvidia-graphics-drivers-173
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

48. By Alberto Milone on 2011-10-10

Re-enable grub fb and drop the initramfs hook in favour of
"alias nouveau/lbm_nouveau off" (LP: #864149).

47. By Alberto Milone on 2011-09-30

* debian/rules:
  - Make sure that the module alias is always correct and
    uses underscores instead of hyphens (LP: #855396).
  - Make the grub-gfxpayload file a template and blacklist
    all Nvidia cards so that Grub doesn't set a framebuffer
    which prevents recovery mode from working (LP: #854967).

46. By Alberto Milone on 2011-09-07

* debian/rules:
  - Remove trailing spaces.
  - Blacklist the updates flavours in modprobe.conf.
  - Add an initramfs hook to make sure that nothings else loads
    open graphics drivers in the initramfs (LP: #839524).

45. By Alberto Milone on 2011-08-30

* debian/nvidia-173.postinst{.in}:
  - Make sure to create and use X.Org's multiarch extra modules
    path (LP: #807209).
  - Share the same name for grub's blacklist file for all
    drivers.
* debian/rules:
  - Fix issues with pbuild.
  - Do not provide the X abi any longer. Depending on the ABI is
    enough.

44. By Alberto Milone on 2011-06-27

Use an empty ld.so.conf when installing alternative for the
non-native arch, otherwise it would be impossible to switch
to mesa without installing mesa for the same architecture.

43. By Alberto Milone on 2011-06-23

* debian/rules, debian/nvidia-173.prerm{.in},
  debian/nvidia-173.postinst{.in}:
  - Add initial support for multi-arch (LP: #798049).
  - Remove obsolete instructions.

42. By Alberto Milone on 2011-06-14

* debian/dkms.conf{.in}:
  - Enable builds for 3.0 kernels.
* debian/control{.in}:
  - Drop transitional packages.
* Add fix-build-with-linux-3.0.patch:
  - Add support for linux 3.0.
* Drop obsolete patches:
  - NVIDIA_173.14.12_2.6.27.patch, fall_back_on_mtrr_if_no_pat.patch,
    nvidia-2.6.36-ioctl.patch, nvidia-rt-compat-legacy.patch,
    rt_preempt_31.patchv.

41. By Alberto Milone on 2011-04-20

* New upstream release:
  - Add support for X.Org xserver 1.10 (LP: #741930).
  - Improve compatibility with recent Linux kernels.

40. By Bryce Harrington on 2011-03-07

[ Andrea Carpineti ]
Fix typo in package description Geforce to GeForce
(LP: #639955)

39. By Alberto Milone on 2011-02-28

* debian/control{.in}:
  - Depend on ${xviddriver:Depends}.
* debian/rules:
  - Manually set video ABI compatibility to 8 so that the driver is not
    installable in applications such as Jockey or manually.
  - Correct comment about what the file is based on.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/precise/nvidia-graphics-drivers-173
This branch contains Public information 
Everyone can see this information.

Subscribers